ISPRINT(P)

NAME
isprint - test for a printable character

SYNOPSIS

#include <ctype.h>

int isprint(int c);

DESCRIPTION

The isprint() function shall test whether c is a character of class print in the program's current locale; see the Base Definitions volume of IEEE Std 1003.1-2001, Chapter 7, Locale.

The c argument is an int, the value of which the application shall ensure is a character representable as an unsigned char or equal to the value of the macro EOF. If the argument has any other value, the behavior is undefined.

RETURN VALUE

The isprint() function shall return non-zero if c is a printable character; otherwise, it shall return 0.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

To ensure applications portability, especially across natural languages, only this function and those listed in the SEE ALSO section should be used for character classification.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

isalnum() , isalpha() , iscntrl() , isdigit() , isgraph() , islower() , ispunct() , isspace() , isupper() , isxdigit() , setlocale() , the Base Definitions volume of IEEE Std 1003.1-2001, Chapter 7, Locale, <ctype.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .